/*
 * @productionStruct.java Version 1.1 09/05/2013
 *
 * Copyright (c) 2013 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package production;

/** Class productionStruct
 *  <p> This Class holds Production Data for a specific year, month and or quarter
 *
 *  @version 1.1 09/05/2013
 *  @author  John R. Victorine
 */

public class productionStruct
{
  public static final int FLUID    = 0;
  public static final int INJ      = 1;

  public static final int    iDATA_BY  = 2;
  public static final String DATA_BY[] = { "FLUID", "INJECTION" };

//  public static final int OIL      = 0;
//  public static final int GAS      = 1;

//  public static final String PRODUCT[] = { "OIL", "GAS" };
//  public static final String UNITS[]   = { "BBL", "MCF" };

  // Production Data

  public int    iYear    = 0;     // Year of Production Data
  public int    iMonth   = 0;     // Month of Production Data
  public int    iDay     = 0;     // Day of Production Data
  public int    iQuarter = 0;     // Quarter of Production Data
  public String sDate    = "";    // Date of Production Data
  public double date     = 0.0;   // Date converted to a decimal number
  public String sProduct = "";    // Product Name, Oil, Gas
  public String sUnits   = "";    // Units of Production Data
  public double data     = 0.0;   // Production Value
  public int    iSources = 0;     // Number of Wells contributing to data

  /** Method delete()
   * <p> This method will set the arrays to null in order to get Java to
   *     deallocate memory for the object.
   */

  public void delete()
  {
    iYear    = 0;     // Year of Production Data
    iMonth   = 0;     // Month of Production Data
    iDay     = 0;     // Day of Production Data
    iQuarter = 0;     // Quarter of Production Data
    sDate    = null;  // Date of Production Data
    date     = 0.0;   // Date converted to a decimal number
    sProduct = null;  // Product Name, Oil, Gas
    sUnits   = null;  // Units of Production Data
    data     = 0.0;   // Production Value
    iSources = 0;     // Number of Wells contributing to data
  }
}

/*
 *  @version 1.1 09/05/2013
 *  @author  John Victorine
 */
